#ifndef __AL3101_DBG_FILES_H__
#define __AL3101_DBG_FILES_H__

#include "../../common/1K_types.h"

// structure defining the map entries
typedef struct{
  char *Name;
  INT32 Address;
  INT32 Value;
} TMapItem;

// creates and fills the Map structure from 
// the PAsmCst informations found in Preassembler
// For each ABS instruction <Name> (type CST_ABS), 
// we search an CST_EQU definition <IName>
// If this is not present, we set value to 0.
// we return the number of items in map
int GenerateMap(TMapItem **pMap);


#endif
