#ifndef __CFNOISEGENERATOR_INCLUDE__
#define __CFNOISEGENERATOR_INCLUDE__


// Define here how the noise will be generated
#define __CFNOISEGENERATOR_RANDOM__



// First method of generating noise via modulo
#ifdef __CFNOISEGENERATOR_RANDOM__

class CFNoiseGenerator
{
private:
	// Class member
	unsigned long randSeed;
	
public:
	// Class function
	CFNoiseGenerator();
	void Process(float *output);
};

#endif


// Second method of generating noise via sqrt, log and cos
#ifdef __CFNOISEGENERATOR_GAUSSIAN__

class CFNoiseGenerator
{
public:
	// Class function
	void Process(float *output);
};

#endif

// Third method of generating noise via ???
#ifdef __CFNOISEGENERATOR_COMPLEX__

class CFNoiseGenerator
{
public:
	// Class function
	void Process(float *output);
};

#endif

#endif // __CFNOISEGENERATOR_INCLUDE__
