/********************************************************************/
/*                                                                  */
/*                        A X O R I S                               */
/*                                                                  */
/*                Alesis AL3101/2 DSP Simulator                     */
/*                                                                  */
/********************************************************************/
/*                                                                  */
/* Origin Date    : June 2001                                       */
/* Project Version: v0.1                                            */
/* FileName       : Commands.c                                      */
/* File Version   : v0.1                                            */
/* Author         : Fabian Duchesne                                 */
/* Last Modif     : September 2001                                  */
/*                                                                  */
/********************************************************************/

#if !defined __1K_ERROR_INCLUDE
#define __1K_ERROR_INCLUDE

#define ERR_PROMPT "ERR:"

/*****************************************/
/* D E B U G G I N G   M A C R O S       */
/*****************************************/
#ifdef ERR_INFO

#define ERR_PRINT(_x_)						{fprintf(stderr, ERR_PROMPT); \
											 fprintf(stderr, _x_);}
#define ERR_PRINT_L1(_x_, _y_)				{fprintf(stderr, ERR_PROMPT); \
											 fprintf(stderr, _x_, _y_);}
#define ERR_PRINT_L2(_x_, _y_, _z_)			{fprintf(stderr, ERR_PROMPT); \
											 fprintf(stderr, _x_, _y_, _z_);}
#define ERR_PRINT_L3(_x_, _y_, _z_, _w_)	{fprintf(stderr, ERR_PROMPT); \
											 fprintf(stderr, _x_, _y_, _z_, _w_);}
#define ERR_PRINT_LAST_ERROR()              {ErrorMsg();}

#else

#define ERR_PRINT(_x_)
#define ERR_PRINT_L1(_x_, _y_)
#define ERR_PRINT_L2(_x_, _y_, _z_)
#define ERR_PRINT_L3(_x_, _y_, _z_, _w_)
#define ERR_PRINT_LAST_ERROR()              

#endif /* ERR_INFO */

void ErrorMsg(void);

#endif /* __1K_ERROR_INCLUDE */

