// Gen_SIN_internal.h: internal definitions for the Sine wave generator functions.
//
/////////////////////////////////////////////////////////////////////////////////////////////////

#ifndef __AL3101__GEN_SIN__INTERNAL__H__
#define __AL3101__GEN_SIN__INTERNAL__H__

#include <stdio.h>							// for the file IO
#include "../../common/1K_types.h"			// for the simulator types
#include "CFSinGenerator.h"


typedef struct Gen_SIN_Struct_structtag
{
	// Parameters
	float Amplitude;
	float Offset;

	// Internal variables
	
	// Memory variables
	INT32 *InputMemory;				// Address of the input memory

	// Sine generation
	CFSinGenerator SinGenerator;	// Class that generates the sine wave

} Gen_SIN_Struct;


#endif // !defined(__AL3101__GEN_SIN__INTERNAL__H__)
